<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/test/AndroidSLESSpeakerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_b97c8a12362aabf73b92afdea21f65db.html">AndroidSLESMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_09f8576ebf0d3cd6a2f3f83ce5a8feb1.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AndroidSLESSpeakerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;SLES/OpenSLES.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_constants_8h_source.html">AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_android_s_l_e_s_object_8h_source.html">AndroidUtilities/MockAndroidSLESObject.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_android_s_l_e_s_speaker_8h_source.html">AndroidSLESMediaPlayer/AndroidSLESSpeaker.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AndroidSLESSpeakerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_android_s_l_e_s_speaker_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_android_s_l_e_s_speaker_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_android_s_l_e_s_speaker_test_8cpp" id="_2workplace_2avs-device-sdk_2_media_player_2_android_s_l_e_s_media_player_2test_2_android_s_l_e_s_speaker_test_8cpp">
<area shape="rect" id="node5" href="_speaker_constants_8h.html" title="AVSCommon/AVS/SpeakerConstants\l/SpeakerConstants.h" alt="" coords="461,279,705,317"/>
<area shape="rect" id="node7" href="_mock_android_s_l_e_s_object_8h.html" title="AndroidUtilities/MockAndroid\lSLESObject.h" alt="" coords="297,105,488,144"/>
<area shape="rect" id="node10" href="_android_s_l_e_s_speaker_8h.html" title="AndroidSLESMediaPlayer\l/AndroidSLESSpeaker.h" alt="" coords="2159,105,2335,144"/>
<area shape="rect" id="node9" href="_mock_android_s_l_e_s_interface_8h.html" title="AndroidUtilities/MockAndroid\lSLESInterface.h" alt="" coords="145,192,336,231"/>
<area shape="rect" id="node14" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="253,685,444,724"/>
<area shape="rect" id="node16" href="_android_s_l_e_s_engine_8h.html" title="AndroidUtilities/Android\lSLESEngine.h" alt="" coords="2108,192,2268,231"/>
<area shape="rect" id="node46" href="_android_s_l_e_s_object_8h.html" title="AndroidUtilities/Android\lSLESObject.h" alt="" coords="2226,279,2386,317"/>
<area shape="rect" id="node17" href="_audio_input_stream_8h.html" title="AVSCommon/AVS/AudioInput\lStream.h" alt="" coords="1876,279,2074,317"/>
<area shape="rect" id="node18" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1813,365,1975,404"/>
<area shape="rect" id="node23" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1116,452,1263,477"/>
<area shape="rect" id="node25" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1394,599,1570,637"/>
<area shape="rect" id="node39" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1136,525,1244,551"/>
<area shape="rect" id="node40" href="_reader_8h.html" title="Reader.h" alt="" coords="1268,525,1343,551"/>
<area shape="rect" id="node44" href="_writer_8h.html" title="Writer.h" alt="" coords="880,525,947,551"/>
<area shape="rect" id="node27" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1434,685,1610,724"/>
<area shape="rect" id="node29" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1599,772,1813,811"/>
<area shape="rect" id="node32" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1354,859,1530,897"/>
<area shape="rect" id="node33" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="975,772,1151,811"/>
<area shape="rect" id="node37" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1327,772,1524,811"/>
<area shape="rect" id="node38" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1975,945,2151,984"/>
<area shape="rect" id="node34" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="874,859,1050,897"/>
<area shape="rect" id="node35" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="874,945,1050,984"/>
<area shape="rect" id="node43" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1938,605,2049,631"/>
<area shape="rect" id="node45" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="671,605,773,631"/>
<area shape="rect" id="node48" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="2478,365,2661,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_android_s_l_e_s_speaker_test.html">alexaClientSDK::mediaPlayer::android::test::AndroidSLESSpeakerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">alexaClientSDK::mediaPlayer::android</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html">alexaClientSDK::mediaPlayer::android::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_android_s_l_e_s_speaker_test_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a73a859a986a8a3c7c5f07ae11606d070"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a73a859a986a8a3c7c5f07ae11606d070">alexaClientSDK::mediaPlayer::android::test::MockVolumeInterface</a> = MockInterfaceImpl&lt; SLVolumeItf_ &gt;</td></tr>
<tr class="separator:a73a859a986a8a3c7c5f07ae11606d070"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a04c1c949fe2112c86f2045877e111bc4"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a04c1c949fe2112c86f2045877e111bc4">alexaClientSDK::mediaPlayer::android::test::mockGetVolume</a> (SLVolumeItf self, SLmillibel *volume)</td></tr>
<tr class="memdesc:a04c1c949fe2112c86f2045877e111bc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>GetVolume</code> succeeds.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a04c1c949fe2112c86f2045877e111bc4">More...</a><br /></td></tr>
<tr class="separator:a04c1c949fe2112c86f2045877e111bc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa681bb6730351a417cbeb4e2039331b4"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa681bb6730351a417cbeb4e2039331b4">alexaClientSDK::mediaPlayer::android::test::mockGetVolumeFailed</a> (SLVolumeItf self, SLmillibel *volume)</td></tr>
<tr class="memdesc:aa681bb6730351a417cbeb4e2039331b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>GetVolume</code> fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aa681bb6730351a417cbeb4e2039331b4">More...</a><br /></td></tr>
<tr class="separator:aa681bb6730351a417cbeb4e2039331b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85b3b7f2b19d9d5656ffaabee7c5a00b"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a85b3b7f2b19d9d5656ffaabee7c5a00b">alexaClientSDK::mediaPlayer::android::test::mockSetVolume</a> (SLVolumeItf self, SLmillibel volume)</td></tr>
<tr class="memdesc:a85b3b7f2b19d9d5656ffaabee7c5a00b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>SetVolume</code> succeeds.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a85b3b7f2b19d9d5656ffaabee7c5a00b">More...</a><br /></td></tr>
<tr class="separator:a85b3b7f2b19d9d5656ffaabee7c5a00b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb236335ab3af30195a30e93fdd7c7f5"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#abb236335ab3af30195a30e93fdd7c7f5">alexaClientSDK::mediaPlayer::android::test::mockSetVolumeFailed</a> (SLVolumeItf self, SLmillibel volume)</td></tr>
<tr class="memdesc:abb236335ab3af30195a30e93fdd7c7f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>SetVolume</code> fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#abb236335ab3af30195a30e93fdd7c7f5">More...</a><br /></td></tr>
<tr class="separator:abb236335ab3af30195a30e93fdd7c7f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46a597c5f0e7191704f8b0e491dcd7dd"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a46a597c5f0e7191704f8b0e491dcd7dd">alexaClientSDK::mediaPlayer::android::test::mockGetMute</a> (SLVolumeItf self, SLboolean *mute)</td></tr>
<tr class="memdesc:a46a597c5f0e7191704f8b0e491dcd7dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>GetMute</code> succeeds.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a46a597c5f0e7191704f8b0e491dcd7dd">More...</a><br /></td></tr>
<tr class="separator:a46a597c5f0e7191704f8b0e491dcd7dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dd55e66a43780d7dcc0f15875f42a7b"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a3dd55e66a43780d7dcc0f15875f42a7b">alexaClientSDK::mediaPlayer::android::test::mockGetMuteFailed</a> (SLVolumeItf self, SLboolean *mute)</td></tr>
<tr class="memdesc:a3dd55e66a43780d7dcc0f15875f42a7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>GetMute</code> fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a3dd55e66a43780d7dcc0f15875f42a7b">More...</a><br /></td></tr>
<tr class="separator:a3dd55e66a43780d7dcc0f15875f42a7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a135cfec6e602a110ffa9564337086c5d"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a135cfec6e602a110ffa9564337086c5d">alexaClientSDK::mediaPlayer::android::test::mockSetMute</a> (SLVolumeItf self, SLboolean mute)</td></tr>
<tr class="memdesc:a135cfec6e602a110ffa9564337086c5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>SetMute</code> succeeds.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a135cfec6e602a110ffa9564337086c5d">More...</a><br /></td></tr>
<tr class="separator:a135cfec6e602a110ffa9564337086c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba77a837e57854a1597e9509cb96bac2"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aba77a837e57854a1597e9509cb96bac2">alexaClientSDK::mediaPlayer::android::test::mockSetMuteFailed</a> (SLVolumeItf self, SLboolean mute)</td></tr>
<tr class="memdesc:aba77a837e57854a1597e9509cb96bac2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>SetMute</code> fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#aba77a837e57854a1597e9509cb96bac2">More...</a><br /></td></tr>
<tr class="separator:aba77a837e57854a1597e9509cb96bac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58b90b60242ea38863cf0732c760a64f"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a58b90b60242ea38863cf0732c760a64f">alexaClientSDK::mediaPlayer::android::test::mockGetMaxVolume</a> (SLVolumeItf self, SLmillibel *volume)</td></tr>
<tr class="memdesc:a58b90b60242ea38863cf0732c760a64f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock <code>GetMaxVolume</code> succeeds.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a58b90b60242ea38863cf0732c760a64f">More...</a><br /></td></tr>
<tr class="separator:a58b90b60242ea38863cf0732c760a64f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a689710ece8b036d084cc44c7a058acc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a689710ece8b036d084cc44c7a058acc3">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_createNullEngine)</td></tr>
<tr class="memdesc:a689710ece8b036d084cc44c7a058acc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test speaker create with null engine.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a689710ece8b036d084cc44c7a058acc3">More...</a><br /></td></tr>
<tr class="separator:a689710ece8b036d084cc44c7a058acc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5ec31009e65109679285f4a3acf81ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac5ec31009e65109679285f4a3acf81ae">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_createNullSpeaker)</td></tr>
<tr class="memdesc:ac5ec31009e65109679285f4a3acf81ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test speaker create with null output mix.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac5ec31009e65109679285f4a3acf81ae">More...</a><br /></td></tr>
<tr class="separator:ac5ec31009e65109679285f4a3acf81ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb6d11838ba7a9f988de06ea9b34d49"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a5fb6d11838ba7a9f988de06ea9b34d49">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_createInterfaceUnavailable)</td></tr>
<tr class="memdesc:a5fb6d11838ba7a9f988de06ea9b34d49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test speaker create with null engine.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a5fb6d11838ba7a9f988de06ea9b34d49">More...</a><br /></td></tr>
<tr class="separator:a5fb6d11838ba7a9f988de06ea9b34d49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32714de3d0b143e4a3689afd127b82c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ab32714de3d0b143e4a3689afd127b82c">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_createInvalidMaxVolume)</td></tr>
<tr class="memdesc:ab32714de3d0b143e4a3689afd127b82c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test speaker create with invalid device configuration.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ab32714de3d0b143e4a3689afd127b82c">More...</a><br /></td></tr>
<tr class="separator:ab32714de3d0b143e4a3689afd127b82c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac951eb2d6a283aa7a293dd71e0f2a366"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac951eb2d6a283aa7a293dd71e0f2a366">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setVolumeSucceed)</td></tr>
<tr class="memdesc:ac951eb2d6a283aa7a293dd71e0f2a366"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set and get volume succeed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac951eb2d6a283aa7a293dd71e0f2a366">More...</a><br /></td></tr>
<tr class="separator:ac951eb2d6a283aa7a293dd71e0f2a366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a222b772c80caa862d2f53f39436d0daa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a222b772c80caa862d2f53f39436d0daa">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setVolumeFailed)</td></tr>
<tr class="memdesc:a222b772c80caa862d2f53f39436d0daa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set volume failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a222b772c80caa862d2f53f39436d0daa">More...</a><br /></td></tr>
<tr class="separator:a222b772c80caa862d2f53f39436d0daa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0efc702efeedb7b380f2bbace108ce70"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a0efc702efeedb7b380f2bbace108ce70">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_getVolumeFailed)</td></tr>
<tr class="memdesc:a0efc702efeedb7b380f2bbace108ce70"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test get volume failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a0efc702efeedb7b380f2bbace108ce70">More...</a><br /></td></tr>
<tr class="separator:a0efc702efeedb7b380f2bbace108ce70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeeb37646882bd9b72027f89031ab7cf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#adeeb37646882bd9b72027f89031ab7cf">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setMuteSucceed)</td></tr>
<tr class="memdesc:adeeb37646882bd9b72027f89031ab7cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set and get mute succeed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#adeeb37646882bd9b72027f89031ab7cf">More...</a><br /></td></tr>
<tr class="separator:adeeb37646882bd9b72027f89031ab7cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4337e001bdb954e56605f2a41ab5300c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a4337e001bdb954e56605f2a41ab5300c">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setMuteFailed)</td></tr>
<tr class="memdesc:a4337e001bdb954e56605f2a41ab5300c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set mute failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a4337e001bdb954e56605f2a41ab5300c">More...</a><br /></td></tr>
<tr class="separator:a4337e001bdb954e56605f2a41ab5300c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a814620c2ab50d5186bff9b615a6a331f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a814620c2ab50d5186bff9b615a6a331f">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_getMuteFailed)</td></tr>
<tr class="memdesc:a814620c2ab50d5186bff9b615a6a331f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test get mute failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a814620c2ab50d5186bff9b615a6a331f">More...</a><br /></td></tr>
<tr class="separator:a814620c2ab50d5186bff9b615a6a331f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01296fe47bd24517e6a111c4e6c5356f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a01296fe47bd24517e6a111c4e6c5356f">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_adjustVolumeSucceed)</td></tr>
<tr class="memdesc:a01296fe47bd24517e6a111c4e6c5356f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test adjust and get volume succeed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a01296fe47bd24517e6a111c4e6c5356f">More...</a><br /></td></tr>
<tr class="separator:a01296fe47bd24517e6a111c4e6c5356f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12af417a164f8fed968b400e1c0a7407"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a12af417a164f8fed968b400e1c0a7407">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_adjustVolumeFailed)</td></tr>
<tr class="memdesc:a12af417a164f8fed968b400e1c0a7407"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test adjust volume failed.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a12af417a164f8fed968b400e1c0a7407">More...</a><br /></td></tr>
<tr class="separator:a12af417a164f8fed968b400e1c0a7407"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23892a7f7c48a236ac088b5dad958789"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a23892a7f7c48a236ac088b5dad958789">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_adjustVolumeOverMax)</td></tr>
<tr class="memdesc:a23892a7f7c48a236ac088b5dad958789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test adjust volume over maximum value. Speaker should be adjusted till maximum.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a23892a7f7c48a236ac088b5dad958789">More...</a><br /></td></tr>
<tr class="separator:a23892a7f7c48a236ac088b5dad958789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908c7f52680922dcd06dd86616f4518e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a908c7f52680922dcd06dd86616f4518e">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_adjustVolumeUnderMin)</td></tr>
<tr class="memdesc:a908c7f52680922dcd06dd86616f4518e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test adjust volume below minimum value. Speaker should be adjusted to minimum.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a908c7f52680922dcd06dd86616f4518e">More...</a><br /></td></tr>
<tr class="separator:a908c7f52680922dcd06dd86616f4518e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cd7a9c0c2467d8023a7ad23c5714ae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac9cd7a9c0c2467d8023a7ad23c5714ae">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setVolumeAccuracy)</td></tr>
<tr class="memdesc:ac9cd7a9c0c2467d8023a7ad23c5714ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test set and get volume on values in different ranges to guarantee accuracy.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#ac9cd7a9c0c2467d8023a7ad23c5714ae">More...</a><br /></td></tr>
<tr class="separator:ac9cd7a9c0c2467d8023a7ad23c5714ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fd5c32ad94ec187b0a25a926182e470"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a0fd5c32ad94ec187b0a25a926182e470">alexaClientSDK::mediaPlayer::android::test::TEST_F</a> (AndroidSLESSpeakerTest, test_setDeviceVolume)</td></tr>
<tr class="memdesc:a0fd5c32ad94ec187b0a25a926182e470"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that the conversion from avs volume to device volume.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a0fd5c32ad94ec187b0a25a926182e470">More...</a><br /></td></tr>
<tr class="separator:a0fd5c32ad94ec187b0a25a926182e470"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_android_s_l_e_s_speaker_test_8cpp.html#ab85226a738f96d6cb13b16f78fa9e2c9">TAG</a> {&quot;AndroidSLESSpeakerTest&quot;}</td></tr>
<tr class="memdesc:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ab85226a738f96d6cb13b16f78fa9e2c9">More...</a><br /></td></tr>
<tr class="separator:ab85226a738f96d6cb13b16f78fa9e2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f2b2399edc1f47cef3cbe930deec21c"><td class="memItemLeft" align="right" valign="top">static constexpr SLmillibel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a4f2b2399edc1f47cef3cbe930deec21c">alexaClientSDK::mediaPlayer::android::test::INVALID_MAX_VOLUME</a> = -10</td></tr>
<tr class="memdesc:a4f2b2399edc1f47cef3cbe930deec21c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an invalid device maximum value. OpenSL ES determines that device max volume is 0 or above.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a4f2b2399edc1f47cef3cbe930deec21c">More...</a><br /></td></tr>
<tr class="separator:a4f2b2399edc1f47cef3cbe930deec21c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d51eb25dd9b954b31b11f2b875c3078"><td class="memItemLeft" align="right" valign="top">static SLmillibel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a9d51eb25dd9b954b31b11f2b875c3078">alexaClientSDK::mediaPlayer::android::test::g_volume</a></td></tr>
<tr class="separator:a9d51eb25dd9b954b31b11f2b875c3078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24c0b7b2d6c505ebcfb6709671faf7c5"><td class="memItemLeft" align="right" valign="top">static SLmillibel&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a24c0b7b2d6c505ebcfb6709671faf7c5">alexaClientSDK::mediaPlayer::android::test::g_maxVolume</a></td></tr>
<tr class="separator:a24c0b7b2d6c505ebcfb6709671faf7c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55e11ca5739fa0bb8512e10e39ed4184"><td class="memItemLeft" align="right" valign="top">static SLboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a55e11ca5739fa0bb8512e10e39ed4184">alexaClientSDK::mediaPlayer::android::test::g_mute</a></td></tr>
<tr class="separator:a55e11ca5739fa0bb8512e10e39ed4184"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ab85226a738f96d6cb13b16f78fa9e2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab85226a738f96d6cb13b16f78fa9e2c9">&#9670;&nbsp;</a></span>TAG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string TAG {&quot;AndroidSLESSpeakerTest&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
